package org.example.screenswitcher;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;

public class ScreenTwo extends Activity implements OnClickListener {
 
	private static int nextId = 0;
	private int id = nextId++;
	
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.screen_two);

        View screen_one = findViewById(R.id.s2_s1_button);
        
        screen_one.setOnClickListener(this);
        
        Log.i("ScreenSwitcher", "ScreenTwo: onCreate(" + id + ")");

    }

    public void onClick(View v) {
    	switch (v.getId()) {
    	case R.id.s2_s1_button:
    		startActivity(new Intent(this, ScreenOne.class));
    		break;
    	}
    }
    
    @Override
    public void onStart() {
    	super.onStart();
        Log.i("ScreenSwitcher", "onStart(" + id + ")");
    }
    
    @Override
    public void onResume() {
    	super.onResume();
        Log.i("ScreenSwitcher", "onResume(" + id + ")");
    }
    
    @Override
    public void onPause() {
    	super.onPause();
        Log.i("ScreenSwitcher", "onPause(" + id + ")");
    }
    
    @Override
    public void onStop() {
    	super.onStop();
        Log.i("ScreenSwitcher", "onStop(" + id + ")");
    }
    
    @Override
    public void onDestroy() {
    	super.onDestroy();
        Log.i("ScreenSwitcher", "onDestroy(" + id + ")");
    }
    
    @Override
    public void onRestart() {
    	super.onRestart();
        Log.i("ScreenSwitcher", "onRestart(" + id + ")");
    }

	
}
